org.richfaces.component

## Class UIRichMessages

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIMessages
      - - org.richfaces.component.UIRichMessages

- All Implemented Interfaces:
    javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxOutput
  Direct Known Subclasses:
    HtmlRichMessages

      public abstract class UIRichMessages
      extends javax.faces.component.UIMessages
      implements org.ajax4jsf.component.AjaxOutput

  Author:
    Anton Belevich

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `UIRichMessages.FacesMessageWithId`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIMessages

      `COMPONENT_FAMILY`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIRichMessages()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addMessagesForId(javax.faces.context.FacesContext context, java.lang.String forId, java.util.List<java.lang.String> severenities)`
    `void` | `encodeBegin(javax.faces.context.FacesContext context)`
    `java.lang.String` | `getFor()` Return the client identifier of the component for which this component represents associated message(s) (if any).
    `abstract java.lang.String` | `getLevel()`
    `java.util.Iterator<javax.faces.application.FacesMessage>` | `getMessages(javax.faces.context.FacesContext context)`
    `protected java.util.List<UIRichMessages.FacesMessageWithId>` | `getRenderedMessages()`
    `java.util.List<java.lang.String>` | `getSeverenities()`
    `boolean` | `isAjaxRendered()`
    `protected boolean` | `isApplicableMessage(java.util.List<java.lang.String> severenities, javax.faces.application.FacesMessage message)`
    `boolean` | `isUpdated()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAjaxRendered(boolean ajaxRendered)`
    `void` | `setFor(java.lang.String newFor)` Set the client identifier of the component for which this component represents associated message(s) (if any).
    `abstract void` | `setLevel(java.lang.String level)`
    `protected void` | `setRenderedMessages(java.util.List<UIRichMessages.FacesMessageWithId> renderedMessages)`
    `void` | `updateMessages(javax.faces.context.FacesContext context, java.lang.String forId)`

    - ### Methods inherited from class javax.faces.component.UIMessages

      `getFamily, isGlobalOnly, isShowDetail, isShowSummary, setGlobalOnly, setShowDetail, setShowSummary`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ajax4jsf.component.AjaxOutput

      `isKeepTransient, setKeepTransient`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIRichMessages

          public UIRichMessages()

  - ### Method Detail

    - #### getFor

          public java.lang.String getFor()

      Return the client identifier of the component for which this component represents associated message(s) (if any).

    - #### setFor

          public void setFor(java.lang.String newFor)

      Set the client identifier of the component for which this component represents associated message(s) (if any). This property must be set before the message is displayed.

      Parameters:
        `newFor` - The new client id

    - #### isUpdated

          public boolean isUpdated()

    - #### isAjaxRendered

          public boolean isAjaxRendered()

      Specified by:
        `isAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### getMessages

          public java.util.Iterator<javax.faces.application.FacesMessage> getMessages(javax.faces.context.FacesContext context)

    - #### updateMessages

          public void updateMessages(javax.faces.context.FacesContext context,
                            java.lang.String forId)

    - #### addMessagesForId

          protected void addMessagesForId(javax.faces.context.FacesContext context,
                              java.lang.String forId,
                              java.util.List<java.lang.String> severenities)

      Parameters:
        `context` -
        `forId` -
        `severenities` - TODO

    - #### isApplicableMessage

          protected boolean isApplicableMessage(java.util.List<java.lang.String> severenities,
                                    javax.faces.application.FacesMessage message)

      Parameters:
        `severenities` -
        `message` -
      Returns:

    - #### setAjaxRendered

          public void setAjaxRendered(boolean ajaxRendered)

      Specified by:
        `setAjaxRendered` in interface `org.ajax4jsf.component.AjaxOutput`

    - #### encodeBegin

          public void encodeBegin(javax.faces.context.FacesContext context)
                           throws java.io.IOException

      Overrides:
        `encodeBegin` in class `javax.faces.component.UIComponentBase`
      Throws:
        `java.io.IOException`

    - #### getLevel

          public abstract java.lang.String getLevel()

    - #### setLevel

          public abstract void setLevel(java.lang.String level)

    - #### getSeverenities

          public java.util.List<java.lang.String> getSeverenities()

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIMessages`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIMessages`

    - #### getRenderedMessages

          protected java.util.List<UIRichMessages.FacesMessageWithId> getRenderedMessages()

      Returns:
        the renderedMessages

    - #### setRenderedMessages

          protected void setRenderedMessages(java.util.List<UIRichMessages.FacesMessageWithId> renderedMessages)

      Parameters:
        `renderedMessages` - the renderedMessages to set

Copyright © 2013. All Rights Reserved.